Несколько уязвимостей в Wheatblog

Дата публикации:
04.07.2007
Всего просмотров:
821
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Wheatblog 1.x
Уязвимые версии: Wheatblog 1.1, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести SQL-инъекцию и выполнить произвольный PHP сценарий на целевой системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "wb_class_dir" в сценарии includes/sessions.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "login" в сценарии admin/login.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды а базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

URL производителя: wheatblog.sourceforge.net

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA